<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2018/4/19
 * Time: 16:09
 */

define('IN_WEB', true);
$sid = (isset($_REQUEST['sid']) == false) ? 1 : $_REQUEST['sid'];
$lid = (isset($_REQUEST['lid']) == false) ? 1 : $_REQUEST['lid'];


if ($sid <= 0) {
    die('no sid. in login.');
}

include_once dirname(__FILE__) . "/../com.php";

//进行华为支付参数处理，不取$_REQUEST中的，因为有的会被转换
//$urlParam = $_SERVER['QUERY_STRING'];
//        oo::logs()->debug3('华为海外传过来的url post参数:'.json_encode($_POST) , 'hw_verify.php');

//$param = explode('&',$urlParam);
//$data = [];
//foreach ($param as $v) {
//    $arr = explode('=', $v);
//    $data[$arr[0]] = $arr[1] ?? '';
//}

$data = oo::commonOprModel('paymentos')->deliveryHuaweiPay($_POST);
die(json_encode($data));
